Bug 24354 - explorer caused system to crap out -- nullpointerexception
explorer caused system to crap out -- nullpointerexception
Status: CLOSED DUPLICATE of bug 19855
Product: xml
Classification: Unclassified
Component: Code
3.x
PC Windows XP
: P1 (vote)
: 3.x
Assigned To: _ lkramolis
issues@xml
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-03 19:59 UTC by jnash67
Modified: 2005-03-09 04:26 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
the ide log (258.07 KB, text/plain)
2002-06-03 20:00 UTC, jnash67
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jnash67 2002-06-03 19:59:04 UTC
I opened a file on one of the mounted file systems and as 
I close it, it causes the system to generate endless 
nullpointerexceptions forcing me to restart.



*********** Exception occurred ************
Mon Jun 03 14:43:25 EDT 2002: 
java.lang.NullPointerException: <no message>
java.lang.NullPointerException
	at java.lang.reflect.Method.invoke(Native Method)
	at 
org.netbeans.modules.xml.tree.editor.TreeEditorComponent.co
mponentActivated(TreeEditorComponent.java:246)
	at 
org.openide.windows.WindowManager.activateComponent
(WindowManager.java:157)
	at 
org.netbeans.core.windows.WindowManagerImpl.activateCompone
nt(WindowManagerImpl.java:717)
	at 
org.netbeans.core.windows.frames.DefaultContainerImpl.doAct
ivateComponent(DefaultContainerImpl.java:555)
	at 
org.netbeans.core.windows.frames.DefaultContainerImpl.react
ivateSelectedComponent(DefaultContainerImpl.java:730)
	at 
org.netbeans.core.windows.frames.SplitContainerImpl.compone
ntRemoved(SplitContainerImpl.java:496)
	at 
org.netbeans.core.windows.frames.DefaultContainerImpl.remov
eTopComponent(DefaultContainerImpl.java:369)
	at 
org.netbeans.core.windows.ModeImpl$3.performCommand
(ModeImpl.java:549)
	at 
org.netbeans.core.windows.DeferredPerformer.processCommand
(DeferredPerformer.java:186)
	at 
org.netbeans.core.windows.DeferredPerformer.putRequest
(DeferredPerformer.java:83)
	at org.netbeans.core.windows.ModeImpl.close
(ModeImpl.java:538)
	at 
org.netbeans.core.windows.WindowManagerImpl$TopComponentMan
ager.doClose(WindowManagerImpl.java:1548)
	at 
org.netbeans.core.windows.WindowManagerImpl$TopComponentMan
ager.close(WindowManagerImpl.java:1496)
	at org.openide.windows.TopComponent.close
(TopComponent.java:272)
	at org.openide.windows.TopComponent.close
(TopComponent.java:243)
	at 
org.netbeans.core.windows.frames.DefaultContainerImpl.doPer
formAction(DefaultContainerImpl.java:443)
	at 
org.netbeans.core.windows.frames.DefaultContainerImpl.acces
s$000(DefaultContainerImpl.java:76)
	at 
org.netbeans.core.windows.frames.DefaultContainerImpl$1.run
(DefaultContainerImpl.java:429)
	at java.awt.event.InvocationEvent.dispatch
(InvocationEvent.java:149)
	at java.awt.EventQueue.dispatchEvent
(EventQueue.java:332)
[catch] at 
java.awt.EventDispatchThread.pumpOneEventForHierarchy
(EventDispatchThread.java:126)
	at 
java.awt.EventDispatchThread.pumpEventsForHierarchy
(EventDispatchThread.java:93)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:88)
	at java.awt.EventDispatchThread.run
(EventDispatchThread.java:80)
Comment 1 jnash67 2002-06-03 20:00:18 UTC
Created attachment 6052 [details]
the ide log
Comment 2 jnash67 2002-06-03 20:25:16 UTC
this issue seems to have left my system permanently 
destabilized. 

when i restart netbeans it immediately gives me the error
"Exception occured in Request Processor"

The log session starting with the latest startup is:

-----------------------------------------------------------
--------------------
>Log Session: Monday, June 3, 2002 3:18:58 PM EDT
>System Info: 
  Product Version       = NetBeans IDE 3.3.1 (Build 
200202011224)
  IDE Versioning        = IDE/1 spec=1.43.2 
impl=200202011224
  Operating System      = Windows 2000 version 5.1 running 
on x86
  Java; VM; Vendor      = 1.3.1_03; Java HotSpot(TM) 
Client VM 1.3.1_03-b03; Sun Microsystems Inc.
  Java Home             = C:\JDK13~1.1_0\jre
  System Locale; Encod. = en_US; Cp1252
  Home Dir; Current Dir = C:\Documents and Settings\NashJ; 
c:\netbeans
  IDE Install; User Dir = C:\netbeans; c:\nbproj
  CLASSPATH             = C:\netbeans\lib\patches\openide-
compat.jar;C:\netbeans\lib\core.jar;C:\netbeans\lib\openide
.jar;C:\netbeans\lib\ext\locale\ddl_ja.jar;C:\netbeans\lib\
ext\crimson.jar;C:\netbeans\lib\ext\ddl.jar;C:\netbeans\lib
\ext\idlcompilers.jar;C:\netbeans\lib\ext\jh.jar;C:\netbean
s\lib\ext\junit-
ext.jar;C:\netbeans\lib\ext\junit.jar;C:\netbeans\lib\ext\l
ogger.jar;C:\netbeans\lib\ext\openorb-
1.0.2.jar;C:\netbeans\lib\ext\regexp.jar;C:\netbeans\lib\ex
t\rmi-
ext.jar;C:\netbeans\lib\ext\terminalemulator.jar;C:\netbean
s\lib\ext\xerces.jar;C:\JDK13~1.1_0
\lib\dt.jar;C:\JDK13~1.1_0\lib\tools.jar
-----------------------------------------------------------
--------------------
Existing modules:
	Ant [org.apache.tools.ant.module/2 2.7.2 
200202011224]
	Applet [org.netbeans.modules.applet/1 1.7.2 
200202011224]
	Auto Update [org.netbeans.modules.autoupdate/1 
2.1.1 200202011224]
	Bean Patterns [org.netbeans.modules.beans/1 1.7.2 
200202011224]
	Built-in CVS Client 
[org.netbeans.modules.cvsclient/1 1.4.2 200202011224]
	CPP support 
[org.netbeans.modules.cpplite.CPPSupport/1 1.7 rc-1]
	CSS Support [org.netbeans.modules.css/1 0.2.7 
200202081003]
	Database Explorer [org.netbeans.modules.db/1 1.4.2 
${buildnumber}]
	Diff [org.netbeans.modules.diff/1 1.2 
${buildnumber}]
	Editor [org.netbeans.modules.editor/1 1.8.2 
200202011224]
	FTP FileSystem [org.netbeans.modules.remotefs/1 
1.4 20020103]
	Form Editor [org.netbeans.modules.form/2 1.7.2 
200202011224]
	General Online Help 
[org.netbeans.modules.usersguide/1 1.9.2 200202011224]
	HTML [org.netbeans.modules.html/1 1.8.2 
200202011224]
	IDE Core [org.netbeans.core/1 1.1]
	Image [org.netbeans.modules.image/1 1.7.2 
200202011224]
	JAR Packager [org.netbeans.modules.jarpackager/2 
1.9.2 200202011224]
	JNDI [org.netbeans.modules.jndi/1 1.4.2 
200202011224]
	JPDA Debugger 
[org.netbeans.modules.debugger.jpda/1 1.9.2 200202011224]
	Jalopy Java Source Code Formatter 
[de.hunsicker.jalopy.plugin.netbeans 0.2.8 200205262243]
	Java Source Files [org.netbeans.modules.java/1 
1.7.2.1 200202011224-jdk14]
	Javadoc [org.netbeans.modules.javadoc/1 1.7.2 
200202011224]
	Mouse Wheel Support 
[org.netbeans.modules.mousewheel/1 1.2]
	New Module Wizard 
[org.netbeans.modules.apisupport.lite/1 0.2.2 200202011224]
	Projects [org.netbeans.modules.projects/1 1.7.2 
200202011224]
	Resource Bundle Syntax Coloring 
[org.netbeans.modules.properties.syntax/1 1.7.2 
200202011224]
	Resource Bundles 
[org.netbeans.modules.properties/1 1.7.2 200202011224]
	Scripting Support 
[org.netbeans.modules.scripting/1 1.4.2 200202011224]
	Sourceless Java Classes 
[org.netbeans.modules.clazz/1 1.8.2 200202011224]
	System Properties [org.netbeans.modules.sysprops 
1.5 200112141318]
	Text [org.netbeans.modules.text/1 1.7.2 
200202011224]
	Tools Debugger 
[org.netbeans.modules.debugger.debug/1 1.9.2 200202011224]
	Unit tests [org.netbeans.modules.junit/2 2.3 
${buildnumber}]
	User Utilities [org.netbeans.modules.utilities/1 
1.7.2 200202011224]
	XML Backward Compatibility 
[org.netbeans.modules.xml/2 0.2.7 200202081003]
	XML Coloring Backward Compatibility 
[org.netbeans.modules.xml.editor.coloring/2 0.2.7 
200202081003]
	XML Core [org.netbeans.modules.xml.core/1 0.2.7 
200202081003]
	XML Entity Catalog 
[org.netbeans.modules.xml.catalog/1 0.2.7 200202081003]
	XML Productivity Tools 
[org.netbeans.modules.xml.tools/1 0.2.7 200202081003]
	XML Text Editor [org.netbeans.modules.xml.text/1 
0.2.7 200202081003]
	XML Tree Editor [org.netbeans.modules.xml.tree/1 
0.2.7 200202081003]
*********** Exception occurred ************
Mon Jun 03 15:19:06 EDT 2002: 
org.xml.sax.SAXParseException: Services/org-netbeans-
modules-openfile-Settings.settings
Annotation: Source: Services/org-netbeans-modules-openfile-
Settings.settings
Annotation: Content: 

Nested annotation: Document root element is missing.
java.io.IOException: Services/org-netbeans-modules-
openfile-Settings.settings
	at 
org.openide.loaders.XMLSettingsSupport$SettingsRecognizer.p
arse(XMLSettingsSupport.java:613)
	at 
org.openide.loaders.InstanceDataObject$SettingsInstance.get
Settings(InstanceDataObject.java:1175)
[catch] at 
org.openide.loaders.InstanceDataObject$SettingsInstance.isM
oduleEnabled(InstanceDataObject.java:1327)
	at 
org.openide.loaders.InstanceDataObject$SettingsInstance.acc
ess$300(InstanceDataObject.java:1132)
	at org.openide.loaders.InstanceDataObject.getCookie
(InstanceDataObject.java:492)
	at 
org.openide.loaders.FolderInstance.acceptDataObject
(FolderInstance.java:254)
	at 
org.openide.loaders.FolderInstance.defaultProcessObjects
(FolderInstance.java:484)
	at org.openide.loaders.FolderInstance.access$100
(FolderInstance.java:45)
	at org.openide.loaders.FolderInstance$2.run
(FolderInstance.java:456)
	at 
org.openide.loaders.FolderLookup.postCreationTask
(FolderLookup.java:227)
	at 
org.openide.loaders.FolderInstance.processObjects
(FolderInstance.java:454)
	at 
org.openide.loaders.FolderInstance$Listener.finished
(FolderInstance.java:674)
	at org.openide.loaders.FolderList.createBoth
(FolderList.java:681)
	at org.openide.loaders.FolderList.getObjects
(FolderList.java:395)
	at org.openide.loaders.FolderList.access$200
(FolderList.java:43)
	at org.openide.loaders.FolderList$ListTask.run
(FolderList.java:743)
	at org.openide.util.Task.run(Task.java:152)
	at 
org.openide.util.RequestProcessor$ProcessorThread.run
(RequestProcessor.java:622)

Mon Jun 03 15:19:06 EDT 2002: 
org.xml.sax.SAXParseException: Document root element is 
missing.
org.xml.sax.SAXParseException: Document root element is 
missing.
	at org.apache.crimson.parser.Parser2.fatal
(Parser2.java:3182)
	at org.apache.crimson.parser.Parser2.fatal
(Parser2.java:3170)
	at org.apache.crimson.parser.Parser2.parseInternal
(Parser2.java:501)
	at org.apache.crimson.parser.Parser2.parse
(Parser2.java:305)
	at org.apache.crimson.parser.XMLReaderImpl.parse
(XMLReaderImpl.java:442)
	at 
org.openide.loaders.XMLSettingsSupport$SettingsRecognizer.p
arse(XMLSettingsSupport.java:609)
	at 
org.openide.loaders.InstanceDataObject$SettingsInstance.get
Settings(InstanceDataObject.java:1175)
[catch] at 
org.openide.loaders.InstanceDataObject$SettingsInstance.isM
oduleEnabled(InstanceDataObject.java:1327)
	at 
org.openide.loaders.InstanceDataObject$SettingsInstance.acc
ess$300(InstanceDataObject.java:1132)
	at org.openide.loaders.InstanceDataObject.getCookie
(InstanceDataObject.java:492)
	at 
org.openide.loaders.FolderInstance.acceptDataObject
(FolderInstance.java:254)
	at 
org.openide.loaders.FolderInstance.defaultProcessObjects
(FolderInstance.java:484)
	at org.openide.loaders.FolderInstance.access$100
(FolderInstance.java:45)
	at org.openide.loaders.FolderInstance$2.run
(FolderInstance.java:456)
	at 
org.openide.loaders.FolderLookup.postCreationTask
(FolderLookup.java:227)
	at 
org.openide.loaders.FolderInstance.processObjects
(FolderInstance.java:454)
	at 
org.openide.loaders.FolderInstance$Listener.finished
(FolderInstance.java:674)
	at org.openide.loaders.FolderList.createBoth
(FolderList.java:681)
	at org.openide.loaders.FolderList.getObjects
(FolderList.java:395)
	at org.openide.loaders.FolderList.access$200
(FolderList.java:43)
	at org.openide.loaders.FolderList$ListTask.run
(FolderList.java:743)
	at org.openide.util.Task.run(Task.java:152)
	at 
org.openide.util.RequestProcessor$ProcessorThread.run
(RequestProcessor.java:622)
*********** Exception occurred ************
Mon Jun 03 15:19:13 EDT 2002: 
java.lang.NullPointerException: Posted StackTrace
Annotation: Exception occurred in Request Processor
org.openide.util.RequestProcessor$Holder: Posted StackTrace
(task org.openide.loaders.DataNode$2@1bdb65 [-1413, 1, -1])
	at 
org.openide.util.RequestProcessor$Holder.fillInStackTrace
(RequestProcessor.java:300)
	at java.lang.Throwable.<init>(Throwable.java:85)
	at java.lang.Exception.<init>(Exception.java:33)
	at org.openide.util.RequestProcessor$Holder.<init>
(RequestProcessor.java:280)
	at 
org.openide.util.RequestProcessor$Task.createHolder
(RequestProcessor.java:333)
	at org.openide.util.RequestProcessor.post
(RequestProcessor.java:100)
	at org.openide.util.RequestProcessor.postRequest
(RequestProcessor.java:185)
	at 
org.openide.loaders.DataNode.setShowFileExtensions
(DataNode.java:507)
	at 
org.netbeans.core.IDESettings.setShowFileExtensions
(IDESettings.java:294)
	at java.lang.reflect.Method.invoke(Native Method)
	at org.openide.options.SystemOption.readExternal
(SystemOption.java:264)
	at 
org.openide.util.SharedClassObject$WriteReplace.readObject
(SharedClassObject.java:732)
	at java.lang.reflect.Method.invoke(Native Method)
	at java.io.ObjectInputStream.invokeObjectReader
(ObjectInputStream.java:2209)
	at java.io.ObjectInputStream.inputObject
(ObjectInputStream.java:1406)
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:381)
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:231)
	at 
org.openide.loaders.XMLSettingsSupport$SettingsRecognizer.r
eadSerial(XMLSettingsSupport.java:400)
	at 
org.openide.loaders.XMLSettingsSupport$SettingsRecognizer.i
nstanceCreate(XMLSettingsSupport.java:430)
	at 
org.openide.loaders.InstanceDataObject$SettingsInstance.ins
tanceCreate(InstanceDataObject.java:1221)
	at 
org.openide.loaders.FolderLookup$ICItem.getInstance
(FolderLookup.java:352)
	at 
org.openide.util.lookup.AbstractLookup$R.allInstances
(AbstractLookup.java:447)
	at 
org.openide.util.lookup.ProxyLookup$R.computeResult
(ProxyLookup.java:351)
	at 
org.openide.util.lookup.ProxyLookup$R.allInstances
(ProxyLookup.java:302)
	at 
org.openide.util.lookup.ProxyLookup$R.computeResult
(ProxyLookup.java:351)
	at 
org.openide.util.lookup.ProxyLookup$R.allInstances
(ProxyLookup.java:302)
	at org.openide.util.SharedClassObject.findObject
(SharedClassObject.java:495)
	at org.netbeans.core.Main.initializeMainWindow
(Main.java:268)
	at org.netbeans.core.NonGui.run(NonGui.java:578)
	at org.netbeans.core.Main.run(Main.java:213)
	at org.openide.TopManager.initializeTopManager
(TopManager.java:120)
	at org.openide.TopManager.getDefault
(TopManager.java:81)
	at org.netbeans.core.Main.main(Main.java:346)
	at org.netbeans.core.TopThreadGroup.run
(TopThreadGroup.java:87)
[catch] at java.lang.Thread.run(Thread.java:479)

Mon Jun 03 15:19:13 EDT 2002: 
java.lang.NullPointerException: <no message>
java.lang.NullPointerException
	at org.openide.loaders.InstanceNode.initName
(InstanceNode.java:264)
	at org.openide.loaders.InstanceNode.<init>
(InstanceNode.java:81)
	at org.openide.loaders.InstanceNode.<init>
(InstanceNode.java:67)
	at 
org.openide.loaders.InstanceDataObject.createNodeDelegate
(InstanceDataObject.java:445)
	at 
org.openide.loaders.DataObject$PrimaryFileListener.run
(DataObject.java:1067)
	at org.openide.util.Mutex.readAccess
(Mutex.java:236)
	at org.openide.loaders.DataObject.getNodeDelegate
(DataObject.java:250)
	at org.openide.loaders.DataNode$2.run
(DataNode.java:512)
	at org.openide.util.Task.run(Task.java:152)
[catch] at 
org.openide.util.RequestProcessor$ProcessorThread.run
(RequestProcessor.java:622)
*********** Exception occurred ************
Mon Jun 03 15:19:13 EDT 2002: 
java.io.OptionalDataException: <no message>
Annotation: Cannot read class 
org.netbeans.modules.xml.tree.editor.TreeEditorComponent
Annotation: Source: 
Windows/Components/APPLICATION_1.settings
Annotation: Content: 
<?xml version="1.0"?>
<!DOCTYPE settings PUBLIC "-//NetBeans//DTD Session 
settings 
1.0//EN" "http://www.netbeans.org/dtds/sessionsettings-
1_0.dtd">
<settings version="1.0">
    <module name="org.netbeans.modules.xml.tree/1" 
spec="0.2.7"/>
    <instanceof class="javax.swing.JComponent"/>
    <instanceof class="java.awt.Component"/>
    <instanceof 
class="org.openide.windows.TopComponent$Cloneable"/>
    <instanceof 
class="org.netbeans.modules.xml.tree.editor.TreeEditorCompo
nent"/>
    <instanceof class="org.openide.windows.TopComponent"/>
    <instanceof class="java.io.Externalizable"/>
    <instanceof class="java.lang.Object"/>
    <instanceof class="java.awt.Container"/>
    <instanceof class="java.io.Serializable"/>
    <instanceof class="java.awt.MenuContainer"/>
    <instanceof 
class="org.openide.windows.CloneableTopComponent"/>
    <instanceof class="java.awt.image.ImageObserver"/>
    <instanceof class="javax.accessibility.Accessible"/>
    <serialdata 
class="org.netbeans.modules.xml.tree.editor.TreeEditorCompo
nent">
        
ACED0005737200296F72672E6F70656E6964652E77696E646F77732E546
F70436F6D706F6E656E74245265706C6163657284
        
874494BDDF6D6403000078707400386F72672E6E65746265616E732E6D6
F64756C65732E786D6C2E747265652E656469746F
        
722E54726565456469746F72436F6D706F6E656E747372000F6A6176612
E6C616E672E53686F7274684D37133460DA520200
        
0153000576616C7565787200106A6176612E6C616E672E4E756D6265728
6AC951D0B94E08B02000078700001770400000001
        7070707078
    </serialdata>
</settings>

java.io.IOException
	at 
org.openide.windows.TopComponent$Replacer.readObject
(TopComponent.java:797)
	at java.lang.reflect.Method.invoke(Native Method)
	at java.io.ObjectInputStream.invokeObjectReader
(ObjectInputStream.java:2209)
	at java.io.ObjectInputStream.inputObject
(ObjectInputStream.java:1406)
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:381)
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:231)
[catch] at 
org.openide.loaders.XMLSettingsSupport$SettingsRecognizer.r
eadSerial(XMLSettingsSupport.java:400)
	at 
org.openide.loaders.XMLSettingsSupport$SettingsRecognizer.i
nstanceCreate(XMLSettingsSupport.java:430)
	at 
org.openide.loaders.InstanceDataObject$SettingsInstance.ins
tanceCreate(InstanceDataObject.java:1215)
	at 
org.netbeans.core.windows.PersistenceManager.lookupTCInstan
ce(PersistenceManager.java:350)
	at 
org.netbeans.core.windows.WindowManagerImpl.lookupTCInstanc
e(WindowManagerImpl.java:877)
	at 
org.netbeans.core.windows.layers.TCRefImpl.getTopComponent
(TCRefImpl.java:357)
	at 
org.netbeans.core.windows.layers.TCRefImpl.updateMode
(TCRefImpl.java:198)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.addCo
mponents(ModeData.java:764)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.updat
eComponents(ModeData.java:629)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.updat
eAll(ModeData.java:401)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.loadD
ataSection(ModeData.java:1067)
	at 
org.netbeans.core.windows.ModeImpl.ensureSectionLoaded
(ModeImpl.java:2099)
	at 
org.netbeans.core.windows.ModeImpl.doGetTopComponents
(ModeImpl.java:779)
	at 
org.netbeans.core.windows.ModeImpl.getTopComponents
(ModeImpl.java:766)
	at org.netbeans.core.windows.WorkspaceImpl.findMode
(WorkspaceImpl.java:571)
	at 
org.netbeans.core.windows.ModeImpl$2.performCommand
(ModeImpl.java:467)
	at 
org.netbeans.core.windows.DeferredPerformer.processCommand
(DeferredPerformer.java:186)
	at 
org.netbeans.core.windows.DeferredPerformer.stateChanged
(DeferredPerformer.java:155)
	at 
org.netbeans.core.windows.StateManager.fireStateChanged
(StateManager.java:117)
	at 
org.netbeans.core.windows.StateManager.setVisibilityState
(StateManager.java:142)
	at 
org.netbeans.core.windows.StateManager.propertyChange
(StateManager.java:164)
	at 
java.beans.PropertyChangeSupport.firePropertyChange
(PropertyChangeSupport.java:225)
	at 
java.beans.PropertyChangeSupport.firePropertyChange
(PropertyChangeSupport.java:152)
	at java.awt.Component.firePropertyChange
(Component.java:4466)
	at 
org.netbeans.core.windows.MainWindow.doShowWindow
(MainWindow.java:232)
	at org.netbeans.core.windows.MainWindow.access$300
(MainWindow.java:57)
	at org.netbeans.core.windows.MainWindow$4.run
(MainWindow.java:207)
	at java.awt.event.InvocationEvent.dispatch
(InvocationEvent.java:149)
	at java.awt.EventQueue.dispatchEvent
(EventQueue.java:332)
	at 
java.awt.EventDispatchThread.pumpOneEventForHierarchy
(EventDispatchThread.java:126)
	at 
java.awt.EventDispatchThread.pumpEventsForHierarchy
(EventDispatchThread.java:93)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:88)
	at java.awt.EventDispatchThread.run
(EventDispatchThread.java:80)

Mon Jun 03 15:19:13 EDT 2002: 
java.io.OptionalDataException: <no message>
java.io.OptionalDataException
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:406)
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:231)
	at 
org.netbeans.modules.xml.tree.editor.TreeEditorComponent.re
adExternal(TreeEditorComponent.java:302)
	at 
org.openide.windows.TopComponent$Replacer.readObject
(TopComponent.java:761)
	at java.lang.reflect.Method.invoke(Native Method)
	at java.io.ObjectInputStream.invokeObjectReader
(ObjectInputStream.java:2209)
	at java.io.ObjectInputStream.inputObject
(ObjectInputStream.java:1406)
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:381)
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:231)
[catch] at 
org.openide.loaders.XMLSettingsSupport$SettingsRecognizer.r
eadSerial(XMLSettingsSupport.java:400)
	at 
org.openide.loaders.XMLSettingsSupport$SettingsRecognizer.i
nstanceCreate(XMLSettingsSupport.java:430)
	at 
org.openide.loaders.InstanceDataObject$SettingsInstance.ins
tanceCreate(InstanceDataObject.java:1215)
	at 
org.netbeans.core.windows.PersistenceManager.lookupTCInstan
ce(PersistenceManager.java:350)
	at 
org.netbeans.core.windows.WindowManagerImpl.lookupTCInstanc
e(WindowManagerImpl.java:877)
	at 
org.netbeans.core.windows.layers.TCRefImpl.getTopComponent
(TCRefImpl.java:357)
	at 
org.netbeans.core.windows.layers.TCRefImpl.updateMode
(TCRefImpl.java:198)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.addCo
mponents(ModeData.java:764)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.updat
eComponents(ModeData.java:629)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.updat
eAll(ModeData.java:401)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.loadD
ataSection(ModeData.java:1067)
	at 
org.netbeans.core.windows.ModeImpl.ensureSectionLoaded
(ModeImpl.java:2099)
	at 
org.netbeans.core.windows.ModeImpl.doGetTopComponents
(ModeImpl.java:779)
	at 
org.netbeans.core.windows.ModeImpl.getTopComponents
(ModeImpl.java:766)
	at org.netbeans.core.windows.WorkspaceImpl.findMode
(WorkspaceImpl.java:571)
	at 
org.netbeans.core.windows.ModeImpl$2.performCommand
(ModeImpl.java:467)
	at 
org.netbeans.core.windows.DeferredPerformer.processCommand
(DeferredPerformer.java:186)
	at 
org.netbeans.core.windows.DeferredPerformer.stateChanged
(DeferredPerformer.java:155)
	at 
org.netbeans.core.windows.StateManager.fireStateChanged
(StateManager.java:117)
	at 
org.netbeans.core.windows.StateManager.setVisibilityState
(StateManager.java:142)
	at 
org.netbeans.core.windows.StateManager.propertyChange
(StateManager.java:164)
	at 
java.beans.PropertyChangeSupport.firePropertyChange
(PropertyChangeSupport.java:225)
	at 
java.beans.PropertyChangeSupport.firePropertyChange
(PropertyChangeSupport.java:152)
	at java.awt.Component.firePropertyChange
(Component.java:4466)
	at 
org.netbeans.core.windows.MainWindow.doShowWindow
(MainWindow.java:232)
	at org.netbeans.core.windows.MainWindow.access$300
(MainWindow.java:57)
	at org.netbeans.core.windows.MainWindow$4.run
(MainWindow.java:207)
	at java.awt.event.InvocationEvent.dispatch
(InvocationEvent.java:149)
	at java.awt.EventQueue.dispatchEvent
(EventQueue.java:332)
	at 
java.awt.EventDispatchThread.pumpOneEventForHierarchy
(EventDispatchThread.java:126)
	at 
java.awt.EventDispatchThread.pumpEventsForHierarchy
(EventDispatchThread.java:93)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:88)
	at java.awt.EventDispatchThread.run
(EventDispatchThread.java:80)
*********** Exception occurred ************
Mon Jun 03 15:19:15 EDT 2002: 
java.io.OptionalDataException: <no message>
Annotation: Cannot read class 
org.netbeans.modules.xml.tree.editor.TreeEditorComponent
Annotation: Source: 
Windows/Components/APPLICATION_2.settings
Annotation: Content: 
<?xml version="1.0"?>
<!DOCTYPE settings PUBLIC "-//NetBeans//DTD Session 
settings 
1.0//EN" "http://www.netbeans.org/dtds/sessionsettings-
1_0.dtd">
<settings version="1.0">
    <module name="org.netbeans.modules.xml.tree/1" 
spec="0.2.7"/>
    <instanceof class="javax.swing.JComponent"/>
    <instanceof class="java.awt.Component"/>
    <instanceof 
class="org.openide.windows.TopComponent$Cloneable"/>
    <instanceof 
class="org.netbeans.modules.xml.tree.editor.TreeEditorCompo
nent"/>
    <instanceof class="org.openide.windows.TopComponent"/>
    <instanceof class="java.io.Externalizable"/>
    <instanceof class="java.lang.Object"/>
    <instanceof class="java.awt.Container"/>
    <instanceof class="java.io.Serializable"/>
    <instanceof class="java.awt.MenuContainer"/>
    <instanceof 
class="org.openide.windows.CloneableTopComponent"/>
    <instanceof class="java.awt.image.ImageObserver"/>
    <instanceof class="javax.accessibility.Accessible"/>
    <serialdata 
class="org.netbeans.modules.xml.tree.editor.TreeEditorCompo
nent">
        
ACED0005737200296F72672E6F70656E6964652E77696E646F77732E546
F70436F6D706F6E656E74245265706C6163657284
        
874494BDDF6D6403000078707400386F72672E6E65746265616E732E6D6
F64756C65732E786D6C2E747265652E656469746F
        
722E54726565456469746F72436F6D706F6E656E747372000F6A6176612
E6C616E672E53686F7274684D37133460DA520200
        
0153000576616C7565787200106A6176612E6C616E672E4E756D6265728
6AC951D0B94E08B02000078700001770400000001
        7070707078
    </serialdata>
</settings>

java.io.IOException
	at 
org.openide.windows.TopComponent$Replacer.readObject
(TopComponent.java:797)
	at java.lang.reflect.Method.invoke(Native Method)
	at java.io.ObjectInputStream.invokeObjectReader
(ObjectInputStream.java:2209)
	at java.io.ObjectInputStream.inputObject
(ObjectInputStream.java:1406)
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:381)
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:231)
[catch] at 
org.openide.loaders.XMLSettingsSupport$SettingsRecognizer.r
eadSerial(XMLSettingsSupport.java:400)
	at 
org.openide.loaders.XMLSettingsSupport$SettingsRecognizer.i
nstanceCreate(XMLSettingsSupport.java:430)
	at 
org.openide.loaders.InstanceDataObject$SettingsInstance.ins
tanceCreate(InstanceDataObject.java:1215)
	at 
org.netbeans.core.windows.PersistenceManager.lookupTCInstan
ce(PersistenceManager.java:350)
	at 
org.netbeans.core.windows.WindowManagerImpl.lookupTCInstanc
e(WindowManagerImpl.java:877)
	at 
org.netbeans.core.windows.layers.TCRefImpl.getTopComponent
(TCRefImpl.java:357)
	at 
org.netbeans.core.windows.layers.TCRefImpl.updateMode
(TCRefImpl.java:198)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.addCo
mponents(ModeData.java:764)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.updat
eComponents(ModeData.java:629)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.updat
eAll(ModeData.java:401)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.loadD
ataSection(ModeData.java:1067)
	at 
org.netbeans.core.windows.ModeImpl.ensureSectionLoaded
(ModeImpl.java:2099)
	at 
org.netbeans.core.windows.ModeImpl.doGetTopComponents
(ModeImpl.java:779)
	at 
org.netbeans.core.windows.ModeImpl.getTopComponents
(ModeImpl.java:766)
	at org.netbeans.core.windows.WorkspaceImpl.findMode
(WorkspaceImpl.java:571)
	at 
org.netbeans.core.windows.ModeImpl$2.performCommand
(ModeImpl.java:467)
	at 
org.netbeans.core.windows.DeferredPerformer.processCommand
(DeferredPerformer.java:186)
	at 
org.netbeans.core.windows.DeferredPerformer.stateChanged
(DeferredPerformer.java:155)
	at 
org.netbeans.core.windows.StateManager.fireStateChanged
(StateManager.java:117)
	at 
org.netbeans.core.windows.StateManager.setVisibilityState
(StateManager.java:142)
	at 
org.netbeans.core.windows.StateManager.propertyChange
(StateManager.java:164)
	at 
java.beans.PropertyChangeSupport.firePropertyChange
(PropertyChangeSupport.java:225)
	at 
java.beans.PropertyChangeSupport.firePropertyChange
(PropertyChangeSupport.java:152)
	at java.awt.Component.firePropertyChange
(Component.java:4466)
	at 
org.netbeans.core.windows.MainWindow.doShowWindow
(MainWindow.java:232)
	at org.netbeans.core.windows.MainWindow.access$300
(MainWindow.java:57)
	at org.netbeans.core.windows.MainWindow$4.run
(MainWindow.java:207)
	at java.awt.event.InvocationEvent.dispatch
(InvocationEvent.java:149)
	at java.awt.EventQueue.dispatchEvent
(EventQueue.java:332)
	at 
java.awt.EventDispatchThread.pumpOneEventForHierarchy
(EventDispatchThread.java:126)
	at 
java.awt.EventDispatchThread.pumpEventsForHierarchy
(EventDispatchThread.java:93)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:88)
	at java.awt.EventDispatchThread.run
(EventDispatchThread.java:80)

Mon Jun 03 15:19:16 EDT 2002: 
java.io.OptionalDataException: <no message>
java.io.OptionalDataException
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:406)
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:231)
	at 
org.netbeans.modules.xml.tree.editor.TreeEditorComponent.re
adExternal(TreeEditorComponent.java:302)
	at 
org.openide.windows.TopComponent$Replacer.readObject
(TopComponent.java:761)
	at java.lang.reflect.Method.invoke(Native Method)
	at java.io.ObjectInputStream.invokeObjectReader
(ObjectInputStream.java:2209)
	at java.io.ObjectInputStream.inputObject
(ObjectInputStream.java:1406)
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:381)
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:231)
[catch] at 
org.openide.loaders.XMLSettingsSupport$SettingsRecognizer.r
eadSerial(XMLSettingsSupport.java:400)
	at 
org.openide.loaders.XMLSettingsSupport$SettingsRecognizer.i
nstanceCreate(XMLSettingsSupport.java:430)
	at 
org.openide.loaders.InstanceDataObject$SettingsInstance.ins
tanceCreate(InstanceDataObject.java:1215)
	at 
org.netbeans.core.windows.PersistenceManager.lookupTCInstan
ce(PersistenceManager.java:350)
	at 
org.netbeans.core.windows.WindowManagerImpl.lookupTCInstanc
e(WindowManagerImpl.java:877)
	at 
org.netbeans.core.windows.layers.TCRefImpl.getTopComponent
(TCRefImpl.java:357)
	at 
org.netbeans.core.windows.layers.TCRefImpl.updateMode
(TCRefImpl.java:198)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.addCo
mponents(ModeData.java:764)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.updat
eComponents(ModeData.java:629)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.updat
eAll(ModeData.java:401)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.loadD
ataSection(ModeData.java:1067)
	at 
org.netbeans.core.windows.ModeImpl.ensureSectionLoaded
(ModeImpl.java:2099)
	at 
org.netbeans.core.windows.ModeImpl.doGetTopComponents
(ModeImpl.java:779)
	at 
org.netbeans.core.windows.ModeImpl.getTopComponents
(ModeImpl.java:766)
	at org.netbeans.core.windows.WorkspaceImpl.findMode
(WorkspaceImpl.java:571)
	at 
org.netbeans.core.windows.ModeImpl$2.performCommand
(ModeImpl.java:467)
	at 
org.netbeans.core.windows.DeferredPerformer.processCommand
(DeferredPerformer.java:186)
	at 
org.netbeans.core.windows.DeferredPerformer.stateChanged
(DeferredPerformer.java:155)
	at 
org.netbeans.core.windows.StateManager.fireStateChanged
(StateManager.java:117)
	at 
org.netbeans.core.windows.StateManager.setVisibilityState
(StateManager.java:142)
	at 
org.netbeans.core.windows.StateManager.propertyChange
(StateManager.java:164)
	at 
java.beans.PropertyChangeSupport.firePropertyChange
(PropertyChangeSupport.java:225)
	at 
java.beans.PropertyChangeSupport.firePropertyChange
(PropertyChangeSupport.java:152)
	at java.awt.Component.firePropertyChange
(Component.java:4466)
	at 
org.netbeans.core.windows.MainWindow.doShowWindow
(MainWindow.java:232)
	at org.netbeans.core.windows.MainWindow.access$300
(MainWindow.java:57)
	at org.netbeans.core.windows.MainWindow$4.run
(MainWindow.java:207)
	at java.awt.event.InvocationEvent.dispatch
(InvocationEvent.java:149)
	at java.awt.EventQueue.dispatchEvent
(EventQueue.java:332)
	at 
java.awt.EventDispatchThread.pumpOneEventForHierarchy
(EventDispatchThread.java:126)
	at 
java.awt.EventDispatchThread.pumpEventsForHierarchy
(EventDispatchThread.java:93)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:88)
	at java.awt.EventDispatchThread.run
(EventDispatchThread.java:80)
*********** Exception occurred ************
Mon Jun 03 15:19:16 EDT 2002: 
java.io.OptionalDataException: <no message>
Annotation: Cannot read class 
org.netbeans.modules.xml.tree.editor.TreeEditorComponent
Annotation: Source: 
Windows/Components/APPLICATION_3.settings
Annotation: Content: 
<?xml version="1.0"?>
<!DOCTYPE settings PUBLIC "-//NetBeans//DTD Session 
settings 
1.0//EN" "http://www.netbeans.org/dtds/sessionsettings-
1_0.dtd">
<settings version="1.0">
    <module name="org.netbeans.modules.xml.tree/1" 
spec="0.2.7"/>
    <instanceof class="javax.swing.JComponent"/>
    <instanceof class="java.awt.Component"/>
    <instanceof 
class="org.openide.windows.TopComponent$Cloneable"/>
    <instanceof 
class="org.netbeans.modules.xml.tree.editor.TreeEditorCompo
nent"/>
    <instanceof class="org.openide.windows.TopComponent"/>
    <instanceof class="java.io.Externalizable"/>
    <instanceof class="java.lang.Object"/>
    <instanceof class="java.awt.Container"/>
    <instanceof class="java.io.Serializable"/>
    <instanceof class="java.awt.MenuContainer"/>
    <instanceof 
class="org.openide.windows.CloneableTopComponent"/>
    <instanceof class="java.awt.image.ImageObserver"/>
    <instanceof class="javax.accessibility.Accessible"/>
    <serialdata 
class="org.netbeans.modules.xml.tree.editor.TreeEditorCompo
nent">
        
ACED0005737200296F72672E6F70656E6964652E77696E646F77732E546
F70436F6D706F6E656E74245265706C6163657284
        
874494BDDF6D6403000078707400386F72672E6E65746265616E732E6D6
F64756C65732E786D6C2E747265652E656469746F
        
722E54726565456469746F72436F6D706F6E656E747372000F6A6176612
E6C616E672E53686F7274684D37133460DA520200
        
0153000576616C7565787200106A6176612E6C616E672E4E756D6265728
6AC951D0B94E08B02000078700001770400000001
        7070707078
    </serialdata>
</settings>

java.io.IOException
	at 
org.openide.windows.TopComponent$Replacer.readObject
(TopComponent.java:797)
	at java.lang.reflect.Method.invoke(Native Method)
	at java.io.ObjectInputStream.invokeObjectReader
(ObjectInputStream.java:2209)
	at java.io.ObjectInputStream.inputObject
(ObjectInputStream.java:1406)
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:381)
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:231)
[catch] at 
org.openide.loaders.XMLSettingsSupport$SettingsRecognizer.r
eadSerial(XMLSettingsSupport.java:400)
	at 
org.openide.loaders.XMLSettingsSupport$SettingsRecognizer.i
nstanceCreate(XMLSettingsSupport.java:430)
	at 
org.openide.loaders.InstanceDataObject$SettingsInstance.ins
tanceCreate(InstanceDataObject.java:1215)
	at 
org.netbeans.core.windows.PersistenceManager.lookupTCInstan
ce(PersistenceManager.java:350)
	at 
org.netbeans.core.windows.WindowManagerImpl.lookupTCInstanc
e(WindowManagerImpl.java:877)
	at 
org.netbeans.core.windows.layers.TCRefImpl.getTopComponent
(TCRefImpl.java:357)
	at 
org.netbeans.core.windows.layers.TCRefImpl.updateMode
(TCRefImpl.java:198)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.addCo
mponents(ModeData.java:764)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.updat
eComponents(ModeData.java:629)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.updat
eAll(ModeData.java:401)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.loadD
ataSection(ModeData.java:1067)
	at 
org.netbeans.core.windows.ModeImpl.ensureSectionLoaded
(ModeImpl.java:2099)
	at 
org.netbeans.core.windows.ModeImpl.doGetTopComponents
(ModeImpl.java:779)
	at 
org.netbeans.core.windows.ModeImpl.getTopComponents
(ModeImpl.java:766)
	at org.netbeans.core.windows.WorkspaceImpl.findMode
(WorkspaceImpl.java:571)
	at 
org.netbeans.core.windows.ModeImpl$2.performCommand
(ModeImpl.java:467)
	at 
org.netbeans.core.windows.DeferredPerformer.processCommand
(DeferredPerformer.java:186)
	at 
org.netbeans.core.windows.DeferredPerformer.stateChanged
(DeferredPerformer.java:155)
	at 
org.netbeans.core.windows.StateManager.fireStateChanged
(StateManager.java:117)
	at 
org.netbeans.core.windows.StateManager.setVisibilityState
(StateManager.java:142)
	at 
org.netbeans.core.windows.StateManager.propertyChange
(StateManager.java:164)
	at 
java.beans.PropertyChangeSupport.firePropertyChange
(PropertyChangeSupport.java:225)
	at 
java.beans.PropertyChangeSupport.firePropertyChange
(PropertyChangeSupport.java:152)
	at java.awt.Component.firePropertyChange
(Component.java:4466)
	at 
org.netbeans.core.windows.MainWindow.doShowWindow
(MainWindow.java:232)
	at org.netbeans.core.windows.MainWindow.access$300
(MainWindow.java:57)
	at org.netbeans.core.windows.MainWindow$4.run
(MainWindow.java:207)
	at java.awt.event.InvocationEvent.dispatch
(InvocationEvent.java:149)
	at java.awt.EventQueue.dispatchEvent
(EventQueue.java:332)
	at 
java.awt.EventDispatchThread.pumpOneEventForHierarchy
(EventDispatchThread.java:126)
	at 
java.awt.EventDispatchThread.pumpEventsForHierarchy
(EventDispatchThread.java:93)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:88)
	at java.awt.EventDispatchThread.run
(EventDispatchThread.java:80)

Mon Jun 03 15:19:16 EDT 2002: 
java.io.OptionalDataException: <no message>
java.io.OptionalDataException
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:406)
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:231)
	at 
org.netbeans.modules.xml.tree.editor.TreeEditorComponent.re
adExternal(TreeEditorComponent.java:302)
	at 
org.openide.windows.TopComponent$Replacer.readObject
(TopComponent.java:761)
	at java.lang.reflect.Method.invoke(Native Method)
	at java.io.ObjectInputStream.invokeObjectReader
(ObjectInputStream.java:2209)
	at java.io.ObjectInputStream.inputObject
(ObjectInputStream.java:1406)
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:381)
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:231)
[catch] at 
org.openide.loaders.XMLSettingsSupport$SettingsRecognizer.r
eadSerial(XMLSettingsSupport.java:400)
	at 
org.openide.loaders.XMLSettingsSupport$SettingsRecognizer.i
nstanceCreate(XMLSettingsSupport.java:430)
	at 
org.openide.loaders.InstanceDataObject$SettingsInstance.ins
tanceCreate(InstanceDataObject.java:1215)
	at 
org.netbeans.core.windows.PersistenceManager.lookupTCInstan
ce(PersistenceManager.java:350)
	at 
org.netbeans.core.windows.WindowManagerImpl.lookupTCInstanc
e(WindowManagerImpl.java:877)
	at 
org.netbeans.core.windows.layers.TCRefImpl.getTopComponent
(TCRefImpl.java:357)
	at 
org.netbeans.core.windows.layers.TCRefImpl.updateMode
(TCRefImpl.java:198)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.addCo
mponents(ModeData.java:764)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.updat
eComponents(ModeData.java:629)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.updat
eAll(ModeData.java:401)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.loadD
ataSection(ModeData.java:1067)
	at 
org.netbeans.core.windows.ModeImpl.ensureSectionLoaded
(ModeImpl.java:2099)
	at 
org.netbeans.core.windows.ModeImpl.doGetTopComponents
(ModeImpl.java:779)
	at 
org.netbeans.core.windows.ModeImpl.getTopComponents
(ModeImpl.java:766)
	at org.netbeans.core.windows.WorkspaceImpl.findMode
(WorkspaceImpl.java:571)
	at 
org.netbeans.core.windows.ModeImpl$2.performCommand
(ModeImpl.java:467)
	at 
org.netbeans.core.windows.DeferredPerformer.processCommand
(DeferredPerformer.java:186)
	at 
org.netbeans.core.windows.DeferredPerformer.stateChanged
(DeferredPerformer.java:155)
	at 
org.netbeans.core.windows.StateManager.fireStateChanged
(StateManager.java:117)
	at 
org.netbeans.core.windows.StateManager.setVisibilityState
(StateManager.java:142)
	at 
org.netbeans.core.windows.StateManager.propertyChange
(StateManager.java:164)
	at 
java.beans.PropertyChangeSupport.firePropertyChange
(PropertyChangeSupport.java:225)
	at 
java.beans.PropertyChangeSupport.firePropertyChange
(PropertyChangeSupport.java:152)
	at java.awt.Component.firePropertyChange
(Component.java:4466)
	at 
org.netbeans.core.windows.MainWindow.doShowWindow
(MainWindow.java:232)
	at org.netbeans.core.windows.MainWindow.access$300
(MainWindow.java:57)
	at org.netbeans.core.windows.MainWindow$4.run
(MainWindow.java:207)
	at java.awt.event.InvocationEvent.dispatch
(InvocationEvent.java:149)
	at java.awt.EventQueue.dispatchEvent
(EventQueue.java:332)
	at 
java.awt.EventDispatchThread.pumpOneEventForHierarchy
(EventDispatchThread.java:126)
	at 
java.awt.EventDispatchThread.pumpEventsForHierarchy
(EventDispatchThread.java:93)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:88)
	at java.awt.EventDispatchThread.run
(EventDispatchThread.java:80)
*********** Exception occurred ************
Mon Jun 03 15:19:16 EDT 2002: 
java.io.OptionalDataException: <no message>
Annotation: Cannot read class 
org.netbeans.modules.xml.tree.editor.TreeEditorComponent
Annotation: Source: Windows/Components/APPLICATION.settings
Annotation: Content: 
<?xml version="1.0"?>
<!DOCTYPE settings PUBLIC "-//NetBeans//DTD Session 
settings 
1.0//EN" "http://www.netbeans.org/dtds/sessionsettings-
1_0.dtd">
<settings version="1.0">
    <module name="org.netbeans.modules.xml.tree/1" 
spec="0.2.7"/>
    <instanceof class="javax.swing.JComponent"/>
    <instanceof class="java.awt.Component"/>
    <instanceof 
class="org.openide.windows.TopComponent$Cloneable"/>
    <instanceof 
class="org.netbeans.modules.xml.tree.editor.TreeEditorCompo
nent"/>
    <instanceof class="org.openide.windows.TopComponent"/>
    <instanceof class="java.io.Externalizable"/>
    <instanceof class="java.lang.Object"/>
    <instanceof class="java.awt.Container"/>
    <instanceof class="java.io.Serializable"/>
    <instanceof class="java.awt.MenuContainer"/>
    <instanceof 
class="org.openide.windows.CloneableTopComponent"/>
    <instanceof class="java.awt.image.ImageObserver"/>
    <instanceof class="javax.accessibility.Accessible"/>
    <serialdata 
class="org.netbeans.modules.xml.tree.editor.TreeEditorCompo
nent">
        
ACED0005737200296F72672E6F70656E6964652E77696E646F77732E546
F70436F6D706F6E656E74245265706C6163657284
        
874494BDDF6D6403000078707400386F72672E6E65746265616E732E6D6
F64756C65732E786D6C2E747265652E656469746F
        
722E54726565456469746F72436F6D706F6E656E747372000F6A6176612
E6C616E672E53686F7274684D37133460DA520200
        
0153000576616C7565787200106A6176612E6C616E672E4E756D6265728
6AC951D0B94E08B02000078700001770400000001
        7070707078
    </serialdata>
</settings>

java.io.IOException
	at 
org.openide.windows.TopComponent$Replacer.readObject
(TopComponent.java:797)
	at java.lang.reflect.Method.invoke(Native Method)
	at java.io.ObjectInputStream.invokeObjectReader
(ObjectInputStream.java:2209)
	at java.io.ObjectInputStream.inputObject
(ObjectInputStream.java:1406)
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:381)
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:231)
[catch] at 
org.openide.loaders.XMLSettingsSupport$SettingsRecognizer.r
eadSerial(XMLSettingsSupport.java:400)
	at 
org.openide.loaders.XMLSettingsSupport$SettingsRecognizer.i
nstanceCreate(XMLSettingsSupport.java:430)
	at 
org.openide.loaders.InstanceDataObject$SettingsInstance.ins
tanceCreate(InstanceDataObject.java:1215)
	at 
org.netbeans.core.windows.PersistenceManager.lookupTCInstan
ce(PersistenceManager.java:350)
	at 
org.netbeans.core.windows.WindowManagerImpl.lookupTCInstanc
e(WindowManagerImpl.java:877)
	at 
org.netbeans.core.windows.layers.TCRefImpl.getTopComponent
(TCRefImpl.java:357)
	at 
org.netbeans.core.windows.layers.TCRefImpl.updateMode
(TCRefImpl.java:198)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.addCo
mponents(ModeData.java:764)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.updat
eComponents(ModeData.java:629)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.updat
eAll(ModeData.java:401)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.loadD
ataSection(ModeData.java:1067)
	at 
org.netbeans.core.windows.ModeImpl.ensureSectionLoaded
(ModeImpl.java:2099)
	at 
org.netbeans.core.windows.ModeImpl.doGetTopComponents
(ModeImpl.java:779)
	at 
org.netbeans.core.windows.ModeImpl.getTopComponents
(ModeImpl.java:766)
	at org.netbeans.core.windows.WorkspaceImpl.findMode
(WorkspaceImpl.java:571)
	at 
org.netbeans.core.windows.ModeImpl$2.performCommand
(ModeImpl.java:467)
	at 
org.netbeans.core.windows.DeferredPerformer.processCommand
(DeferredPerformer.java:186)
	at 
org.netbeans.core.windows.DeferredPerformer.stateChanged
(DeferredPerformer.java:155)
	at 
org.netbeans.core.windows.StateManager.fireStateChanged
(StateManager.java:117)
	at 
org.netbeans.core.windows.StateManager.setVisibilityState
(StateManager.java:142)
	at 
org.netbeans.core.windows.StateManager.propertyChange
(StateManager.java:164)
	at 
java.beans.PropertyChangeSupport.firePropertyChange
(PropertyChangeSupport.java:225)
	at 
java.beans.PropertyChangeSupport.firePropertyChange
(PropertyChangeSupport.java:152)
	at java.awt.Component.firePropertyChange
(Component.java:4466)
	at 
org.netbeans.core.windows.MainWindow.doShowWindow
(MainWindow.java:232)
	at org.netbeans.core.windows.MainWindow.access$300
(MainWindow.java:57)
	at org.netbeans.core.windows.MainWindow$4.run
(MainWindow.java:207)
	at java.awt.event.InvocationEvent.dispatch
(InvocationEvent.java:149)
	at java.awt.EventQueue.dispatchEvent
(EventQueue.java:332)
	at 
java.awt.EventDispatchThread.pumpOneEventForHierarchy
(EventDispatchThread.java:126)
	at 
java.awt.EventDispatchThread.pumpEventsForHierarchy
(EventDispatchThread.java:93)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:88)
	at java.awt.EventDispatchThread.run
(EventDispatchThread.java:80)

Mon Jun 03 15:19:16 EDT 2002: 
java.io.OptionalDataException: <no message>
java.io.OptionalDataException
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:406)
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:231)
	at 
org.netbeans.modules.xml.tree.editor.TreeEditorComponent.re
adExternal(TreeEditorComponent.java:302)
	at 
org.openide.windows.TopComponent$Replacer.readObject
(TopComponent.java:761)
	at java.lang.reflect.Method.invoke(Native Method)
	at java.io.ObjectInputStream.invokeObjectReader
(ObjectInputStream.java:2209)
	at java.io.ObjectInputStream.inputObject
(ObjectInputStream.java:1406)
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:381)
	at java.io.ObjectInputStream.readObject
(ObjectInputStream.java:231)
[catch] at 
org.openide.loaders.XMLSettingsSupport$SettingsRecognizer.r
eadSerial(XMLSettingsSupport.java:400)
	at 
org.openide.loaders.XMLSettingsSupport$SettingsRecognizer.i
nstanceCreate(XMLSettingsSupport.java:430)
	at 
org.openide.loaders.InstanceDataObject$SettingsInstance.ins
tanceCreate(InstanceDataObject.java:1215)
	at 
org.netbeans.core.windows.PersistenceManager.lookupTCInstan
ce(PersistenceManager.java:350)
	at 
org.netbeans.core.windows.WindowManagerImpl.lookupTCInstanc
e(WindowManagerImpl.java:877)
	at 
org.netbeans.core.windows.layers.TCRefImpl.getTopComponent
(TCRefImpl.java:357)
	at 
org.netbeans.core.windows.layers.TCRefImpl.updateMode
(TCRefImpl.java:198)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.addCo
mponents(ModeData.java:764)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.updat
eComponents(ModeData.java:629)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.updat
eAll(ModeData.java:401)
	at 
org.netbeans.core.windows.layers.ModeData$CookiesImpl.loadD
ataSection(ModeData.java:1067)
	at 
org.netbeans.core.windows.ModeImpl.ensureSectionLoaded
(ModeImpl.java:2099)
	at 
org.netbeans.core.windows.ModeImpl.doGetTopComponents
(ModeImpl.java:779)
	at 
org.netbeans.core.windows.ModeImpl.getTopComponents
(ModeImpl.java:766)
	at org.netbeans.core.windows.WorkspaceImpl.findMode
(WorkspaceImpl.java:571)
	at 
org.netbeans.core.windows.ModeImpl$2.performCommand
(ModeImpl.java:467)
	at 
org.netbeans.core.windows.DeferredPerformer.processCommand
(DeferredPerformer.java:186)
	at 
org.netbeans.core.windows.DeferredPerformer.stateChanged
(DeferredPerformer.java:155)
	at 
org.netbeans.core.windows.StateManager.fireStateChanged
(StateManager.java:117)
	at 
org.netbeans.core.windows.StateManager.setVisibilityState
(StateManager.java:142)
	at 
org.netbeans.core.windows.StateManager.propertyChange
(StateManager.java:164)
	at 
java.beans.PropertyChangeSupport.firePropertyChange
(PropertyChangeSupport.java:225)
	at 
java.beans.PropertyChangeSupport.firePropertyChange
(PropertyChangeSupport.java:152)
	at java.awt.Component.firePropertyChange
(Component.java:4466)
	at 
org.netbeans.core.windows.MainWindow.doShowWindow
(MainWindow.java:232)
	at org.netbeans.core.windows.MainWindow.access$300
(MainWindow.java:57)
	at org.netbeans.core.windows.MainWindow$4.run
(MainWindow.java:207)
	at java.awt.event.InvocationEvent.dispatch
(InvocationEvent.java:149)
	at java.awt.EventQueue.dispatchEvent
(EventQueue.java:332)
	at 
java.awt.EventDispatchThread.pumpOneEventForHierarchy
(EventDispatchThread.java:126)
	at 
java.awt.EventDispatchThread.pumpEventsForHierarchy
(EventDispatchThread.java:93)
	at java.awt.EventDispatchThread.pumpEvents
(EventDispatchThread.java:88)
	at java.awt.EventDispatchThread.run
(EventDispatchThread.java:80)
Comment 3 jnash67 2002-06-03 20:50:08 UTC
upgraded to 3.3.2 RC2 (Build 200205270332) but problem 
remains. Issue has something to do with Source Editor 
window and Output Window not being closeable. They won't 
close and generate continual nullpointererrors.

I am going to try and upgrade the seriousness of this 
error. It hoses the entire installation when it occurs.
Comment 4 jnash67 2002-06-03 21:06:25 UTC
i installed 3.4dev and imported the project that causes 
the problem and it caused the same crapping out problem in 
3.4dev.
Comment 5 _ ttran 2002-06-04 06:34:03 UTC
Looks like something wrong with xml module.  Reassigned to it.

Jonathan: next time please don't paste long ide.log into the issue
desc fields.  Use attachments instead.  Thanks
Comment 6 _ lkramolis 2002-06-04 08:23:12 UTC
It is known problem in Core module which wrongly deserialize top
components.


*** This issue has been marked as a duplicate of 19855 ***
Comment 7 David Simonek 2002-06-04 10:38:18 UTC
Libor is not quite right - see Marek's eval of bug #19855 - it's in
fact bug both in xml and core together. Xml module introduced this bug
by failing to serialize/deserialize correctly, resulting in exception
being thrown from xml module code. Exception was catched by core's
InstanceDataObject and another attepmt to call default constructor was
made instead of passing exception to the caller (=winsys). AFAIK it's
fixed now in main trunk.
Comment 8 Martin Schovanek 2002-07-24 12:06:11 UTC
VERIFIED
Comment 9 Quality Engineering 2003-07-02 08:38:59 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo